summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2015-05-25 16:20:35 (EDT)
committer P. J. McDermott <pj@pehjota.net>2015-05-25 16:20:35 (EDT)
commitdb6a33e23c446c8cd00ad3647082c833d7e5edc4 (patch)
treea966f1f7fb670df16c4ae423bee334967cc24703
parentf7d8bb23b64163a537845084ff262bd9a2d484ed (diff)
cmd/installer-pc: Require -a and -p
-rw-r--r--lib/cmd/installer-pc.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/lib/cmd/installer-pc.sh b/lib/cmd/installer-pc.sh
index 59f7408..7a12e1a 100644
--- a/lib/cmd/installer-pc.sh
+++ b/lib/cmd/installer-pc.sh
@@ -43,6 +43,14 @@ cmd_installer_pc_main()
fi
shift $(($OPTIND - 1))
+ if [ "x${cmd_installer_pc_opt_a+set}" != 'xset' ]; then
+ print_cmd_usage 'installer-pc' >&2
+ exit 1
+ fi
+ if [ "x${cmd_installer_pc_opt_p+set}" != 'xset' ]; then
+ print_cmd_usage 'installer-pc' >&2
+ exit 1
+ fi
if [ ${#} -ne 2 ]; then
print_cmd_usage 'installer-pc' >&2
exit 1